Instalacija nove verzija PHP-a

38 odgovora [Poslednji unos]
Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

Kako mislis automatski se update-uje??
Ja imam 8.10 i ostajem na njemu... Posto istice podrska maja, neznam sta ce biti sa repoima ( mozda nista )...
Jel za ovaj update mislis ono klasican update pod admin sekcijom? Da li ce to sve vaziti za mene sa 8.10 distribucijom?

DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Da, redovan update kao i za sve druge pakete normalno instalirane.

pa ako podrska prestaje uskoro, onda mozda odlucis da se prebacis na noviju verziju.

Ja sam CentOS i izabrao (izmedju ostalog) sto ce zvanicna podrska za njega trajati po 7 godina za glavnu verziju (5.x, 6.x), a i posle toga ima puno likova na netu koji i sada kompajliraju nove verzije paketa za stare verzije sistema (CentOS 4.x koji je prvobitno izasao u martu 2005-e.)

Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

Gledacu jos sutra da pokusam po ovom mom, pa ako ne ide onda cu morati preko distribucije... Vidim da i za moju verziju  podrzavaju php 5.2.6 sto je dovoljno.
Moj je problem stariji racunar. Probao sam 9.04 i 9.10 i retko kad sam uspevao da udjem u sistem, zbog bag-a, za racunare sa memorijom izmedju 256 i 512, ja imam 384 MB ram.
Prezadovoljan sam 8.10-kom, i nebi je menjao ni da imam bolji komp. Sve radi kao treba...
Dok sam vrsio update sistema , sve je nesto brljao. Od kada sam instalirao i ne radim update mogu reci da je sve ok.

DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Ti znas sta je najbolje za tebe. Ja ti dalje (od pomoci da predjes na CentOS koji radi lepo sa starijim i slabijim mashinama  Laughing out loud ) ne mogu pomoci.

Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

Pa sad... Uvek kad sam imao neki problem savetovano mi je predjem na mint,mandrivu,suse,ubuntu... i tako u krug. A najgore je taman se naviknem na jedan distro i onda shvatim da moram da menjam... Popunjavao sam jedan test na jednom linux sajtu na foru zasta mi treba sistem i kako planiram da koristim. Na kraju ti izbaci spisak distribucija koje su za tebe, po onome sto si zahtevao ( mislim da sam to pokupio ovde negde na forumu). I meni je izasao 1. Ubuntu... za ostale se ne secam. Zatim sam izabrao Ubuntu zato sto ima veliku zajednicu, posebno svoj sajt za srbiju, hrvatsku... Ljudi drze seminare po zemlji ( IT-tvrdjava i slicno), i deluju organizovanije od drugih zajednica ( da ne pomenjem da je ubuntu uvek bio u vrhu stalno, dok su se drugi menjali. On je vecito u top 3. E sad centos, dosta firmi koriste, sigurno je tezi za rad... a mozda nema ni jake repoe ( mislim manjak softwera u odnosu na suse,ubuntu). Razmislicu.
P.S. 256 MB, minimum ( tako pise na zvanicnom sajtu sto je isto kao ubuntu)

Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

Ok. Obrisao xampp.. i krenuo instalaciju preko repoa.
I greska odmah . Instalirao apach i php5, bez problema.
Ali prilikom instalacije mysql-server, trazio pass ja ukucao, zatim repeat pass, ukucao ponovo a zatim izbacio da postoji greska u mysql-server i da ne moze da ga konfigurise.
U synapticu izbacuje ikonicu kao da je instaliran.
Kad sam pokusao da instaliram phpmyadmin trazio je opet pass za mysql, i opet izbacio gresku da ne moze da ga konfigurise...
Probao sam iz konzole po upustvu i opet isto...
Javlja sledece

* Starting MySQL database server mysqld                                [fail]
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.0 (--configure):
subprocess post-installation script returned error exit status 1
Setting up libmysqlclient15-dev (5.0.67-0ubuntu6.1) ...

Setting up mysql-client (5.0.67-0ubuntu6.1) ...
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-server-5.0; however:
  Package mysql-server-5.0 is not configured yet.
dpkg: error processing mysql-server (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc6 ...
No apport report written because the error message indicates its a followup error from a previous failure.
                          ldconfig deferred processing now taking place
Errors were encountered while processing:
mysql-server-5.0
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

:-\

DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Ima neki problem sa zavisnim paketima za mysql-server. Da je na yum-u, dao bih ti par komandi koje bi pojasnile problem. Ovako... morace neko drugi da uskoci. Ja ujutro palim dole za Kragujevac pa ti ne mogu pomoci do subote.

Probaj da paket menadzeru (iz konzole, apt-get?) postavis pitanje koje sve pakete treba da instaliras kao zavisne, pa da prvo njih instaliras, pa tek onda mysql-server.

Sto se tice CentOS-a, ako saberes glasove za Red Hat i CentOS u ovom glasanju:http://www.linuxquestions.org/questions/2009-linuxquestions-org-members-choice-awards-91/server-distribution-of-the-year-780628/, zajedno imaju preko 27% glasova, vise i od Slackware-a i od Debian-a.

Sto se tice repozitorijuma za CentOS, tu ti mogu pomoci. Znam sve repozitorijume za CentOS, ima DOSTA paketa, a i ja imam svoj repozitorijum sa Skyp-om npr, OpenOffice-om 3.2 i brdom ostalih paketa, nekih NIGDE DRUGDE ni nema osim kod mene. Ovo nije foliranje, stvarno sam napravio (rekompajlirao) 50-ak paketa, nigde drugde ih nema, ali nemam vremena da ih sve potpisem, katalogizujem i odrzavam repozitorijum, pa se ne trudim vise da ga reklamiram. otvori http://rpms.plnet.rs pa pogledaj sam sta sve ima.

Uputstava i knjiga ima na sve strane, sva odlicna dokumentacija za Red Hat Enterprise Linux (RHEL) 100% vazi za CentOS, a i uopste nije tako tezak kako ljudi pricaju. Malo drugaciji da, uglavnom nacin na koji se radi sa paketima.

E sada, slag na tortu. Ti uopste ne moras da predjes na CentOS, zaboravio sam da je Ubuntu zasnovan na Debian-u, pa mozes da predjes na Debian i da ti se pritom valjda nista ne promeni kod nacina rada (pretpostavljam).

Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

sudo apt-get -f install
Probao i ovo posle instalacije mysql-a...
Quote:

mysql-common was left over as some other packages depended on it and that was causing the problem. Purging mysql-common (and the dependent packages) and then reinstalling resolved the issue.

Kada sam isao na remove mysql-server brisao je samo mysql-server i mysql-server5.0, ne i zavisne biblioteke.  Zasto neznam. Ali kada sam obrisao mysql-common, brisao je sve. I ovo ne radi.
:'(
E Linux, linux kad ni najobicniji mysql apache i php ne moze da pogura. Citao sam ranije (2005)  da je na linux moglo lako da se dotera web server, za razliku od win-a... Vremena se promenila.

DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Nemoj dirati Linux, diraj Ubunta ako vec hoces da bacas krivicu na sistem. Da imas Debian ili CentOS, ove teme verovatno uopste ne bi bilo.

A i mislio sam da ce se neko od Ubuntasa ubaciti da te posavetuje, kad ono mucak.

Barone
Slika korisnika Barone
Offline
User
Član od: 24/11/2006

Na zalost meni je ovo hitno... Imam sredjeno sve u win xp, samo mi je laksi i brzi rad u linux ( radne povrsine i sl)
Prebacivanje na nov sistem bi mi oduzeo mnogo vremena ( jer bi gledao sta sve ima i kako da podesim i nadjem neke programe, sto bi me odvuklo od jednog tezeg posla ucenja gde vec kasnim uveliko)...
:angel:
Ma probacu da pitam direktno na ubuntu forumu  :biggrin: